import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const getUserMovingTextsService = createAsyncThunk(
  "GET_USER_MOVING_TEXTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(`moving-text/?dashboard=true`);
    dispatch(LOADING_END());
    return { data, status };
  }
);
